Skip to content

List User Models

GET
/v1/models/list

List the current user’s trained models with cursor-based pagination.

model_type
Any of:
string

Filter: vla_model or reward_model

project_id
Any of:
string format: uuid

Filter by project

job_id
Any of:
string format: uuid

Filter by job

search
Any of:
string
<= 200 characters

Search model path

limit
Limit
integer
default: 20 >= 1 <= 1000
cursor
Any of:
string

Pagination cursor

sort
Sort
string
default: newest
Allowed values: newest oldest updated name
x-api-key
required
X-Api-Key
string

Paginated list of user’s trained models

PaginatedModelsResponse
object
items
Items
Array<object>
ModelItem
object
artifact_id
required
Artifact Id

Artifact ID

string format: uuid
subtype
required
Subtype

Model subtype (vla_model, reward_model)

string
path
required
Path

HuggingFace or local model path

string
metadata
Metadata
object
key
additional properties
any
jobs
Jobs
Array<object>
JobLink
object
job_id
required
Job Id
string format: uuid
direction
required
Direction

Input or output

string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
page_info
required
PageInfo
object
has_next
required
Has Next

Whether more items exist after this page

boolean
end_cursor
Any of:
string
total_count
Any of:
integer

Invalid or missing API key

ErrorResponse

Standard error response.

object
detail
required
Detail

Error message describing what went wrong

string

Invalid pagination parameters